Bug 234533 - Set Web Authentication experimental feature flag as default true
Summary: Set Web Authentication experimental feature flag as default true
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: j_pascoe@apple.com
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-12-20 15:37 PST by j_pascoe@apple.com
Modified: 2021-12-22 10:00 PST (History)
7 users (show)

See Also:


Attachments
Patch (56.00 KB, patch)
2021-12-20 16:27 PST, j_pascoe@apple.com
no flags Details | Formatted Diff | Diff
Patch (57.74 KB, patch)
2021-12-21 09:14 PST, j_pascoe@apple.com
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (45.31 KB, patch)
2021-12-21 10:30 PST, j_pascoe@apple.com
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (46.03 KB, patch)
2021-12-21 10:58 PST, j_pascoe@apple.com
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description j_pascoe@apple.com 2021-12-20 15:37:30 PST
Web Authentication has been shipping for a while, we should remove it as an experimental feature.
Comment 1 Radar WebKit Bug Importer 2021-12-20 15:37:41 PST
<rdar://problem/86743595>
Comment 2 j_pascoe@apple.com 2021-12-20 16:27:58 PST
Created attachment 447661 [details]
Patch
Comment 3 j_pascoe@apple.com 2021-12-21 09:14:18 PST
Created attachment 447722 [details]
Patch
Comment 4 Brent Fulgham 2021-12-21 09:21:58 PST
Comment on attachment 447722 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=447722&action=review

r=me. So nice to see tons of code deleted!

> Source/WebKit/UIProcess/API/C/WKPreferencesRefPrivate.h:-503
> -WK_EXPORT bool WKPreferencesGetWebAuthenticationEnabled(WKPreferencesRef);

Ordinarily we would want to make this a stub and deprecate it, but I don't find any uses of this call in other (non-WebKit) software so I think this is okay.

> LayoutTests/platform/mac-wk1/fast/dom/navigator-detached-no-crash-expected.txt:7
> +navigator.credentials is OK

I assume the WebAuthn bits of navigator.credentials aren't present in WK1, but the top-level namespace exists?
Comment 5 j_pascoe@apple.com 2021-12-21 09:29:38 PST
(In reply to Brent Fulgham from comment #4)
> Comment on attachment 447722 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=447722&action=review
> 
> r=me. So nice to see tons of code deleted!
> 
> > Source/WebKit/UIProcess/API/C/WKPreferencesRefPrivate.h:-503
> > -WK_EXPORT bool WKPreferencesGetWebAuthenticationEnabled(WKPreferencesRef);
> 
> Ordinarily we would want to make this a stub and deprecate it, but I don't
> find any uses of this call in other (non-WebKit) software so I think this is
> okay.
> 
> > LayoutTests/platform/mac-wk1/fast/dom/navigator-detached-no-crash-expected.txt:7
> > +navigator.credentials is OK
> 
> I assume the WebAuthn bits of navigator.credentials aren't present in WK1,
> but the top-level namespace exists?

I think the navigator.credentials bits do get put in there as it's only guarded by the macro with this change.  I will modify this patch to keep the preference but default false for WebKitLegacy and true for WK2.
Comment 6 j_pascoe@apple.com 2021-12-21 10:30:28 PST
Created attachment 447732 [details]
Patch
Comment 7 j_pascoe@apple.com 2021-12-21 10:58:11 PST
Created attachment 447735 [details]
Patch
Comment 8 Brent Fulgham 2021-12-22 09:23:06 PST
Comment on attachment 447735 [details]
Patch

r=me
Comment 9 EWS 2021-12-22 10:00:55 PST
Committed r287360 (245502@main): <https://commits.webkit.org/245502@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 447735 [details].